Page MenuHomePhabricator

Add domains to $wgCopyUploadsDomains (tracking)
Open, NormalPublic

Description

This is a work-around solution for allowing users to upload large numbers of images via the GLAM Wiki Toolkit.

Each user (institution) that wishes to upload will need to whitelist the domain where the images are available. This whitelist is managed in $wgCopyUploadsDomains.

To request a new addition to the whitelist:

  • click here to create a task
  • In that task add the URL where the files will be available and who is sponsoring the upload and how long it needs to be whitelisted (short term or on-going).

See also :c:Commons:Upload tools/wgCopyUploadsDomains

Details

Reference
bz58224

Related Objects

StatusAssignedTask
ResolvedNone
ResolvedSteinsplitter
OpenNone
OpenNone
Resolvedmark
ResolvedTTO
StalledNone
Resolvedtomasz
Resolvedtomasz
ResolvedJeanFred
InvalidNone
ResolvedGlaisher
ResolvedJeanFred
Resolvedtomasz
ResolvedNone
InvalidNone
Resolvedtomasz
Resolvedtomasz
DeclinedNone
ResolvedGlaisher
ResolvedJeanFred
DeclinedNone
DeclinedSteinsplitter
ResolvedDereckson
ResolvedNone
ResolvedNone
ResolvedGlaisher
Resolved JohnLewis
ResolvedDereckson
ResolvedNone
ResolvedNone
ResolvedSteinsplitter
Resolveddan-nl
Resolvedhashar
ResolvedSteinsplitter
Resolvedtomasz
ResolvedSteinsplitter
ResolvedDereckson
ResolvedDereckson
InvalidKrenair
ResolvedDereckson
ResolvedDereckson
Resolvedtomasz
ResolvedKrenair
OpenNone
Resolvedakosiaris
ResolvedSteinsplitter
ResolvedMatanya
ResolvedDereckson
ResolvedDereckson
ResolvedDereckson
ResolvedDereckson
ResolvedDereckson
Resolvedbrion
ResolvedReedy
DuplicateDimitraCharalampidou
ResolvedJeanFred
ResolvedSteinsplitter
ResolvedDereckson
ResolvedDereckson
DeclinedDereckson
ResolvedDereckson
Declinedzhuyifei1999
ResolvedMdann52
ResolvedDereckson
Resolved MarcoAurelio
ResolvedUrbanecm
ResolvedDereckson
Resolvedtomasz
Resolvedtomasz
Resolvedtomasz
DuplicateNone
ResolvedUrbanecm
ResolvedNone
ResolvedDereckson
ResolvedNone
Resolvedtomasz
ResolvedUrbanecm
Resolvedtomasz
ResolvedUrbanecm
InvalidDereckson
ResolvedDereckson
ResolvedDereckson
ResolvedDereckson
ResolvedDereckson
Resolveddan-nl
Resolveddemon
ResolvedDereckson
Resolvedtomasz
ResolvedUrbanecm
ResolvedDereckson
DuplicateNone
ResolvedDereckson
ResolvedUrbanecm
ResolvedDereckson
Resolvedtomasz
ResolvedTTO
ResolvedDereckson
ResolvedLuke081515
Resolvedtomasz
DeclinedUrbanecm
ResolvedUrbanecm
DeclinedNone
ResolvedNemo_bis
ResolvedUrbanecm
ResolvedFramawiki
ResolvedMultichill
OpenNone
ResolvedZoranzoki21
ResolvedFramawiki
ResolvedFramawiki
Resolved MarcoAurelio
InvalidZoranzoki21
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedZoranzoki21
DuplicateNone
StalledNone
ResolvedZoranzoki21
DuplicateZoranzoki21
ResolvedZoranzoki21
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedFramawiki
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedUrbanecm
ResolvedFramawiki
InvalidJony
OpenNone
StalledNone
ResolvedZoranzoki21
DuplicateNone
ResolvedZoranzoki21
ResolvedZoranzoki21
OpenNone
ResolvedZoranzoki21
ResolvedTulsi_Bhagat
ResolvedZoranzoki21
OpenNone
ResolvedZoranzoki21
OpenFramawiki
OpenNone

Event Timeline

There are a very large number of changes, so older changes are hidden. Show Older Changes
Restricted Application added a subscriber: JEumerus. · View Herald TranscriptJan 7 2016, 10:20 AM
Restricted Application added a subscriber: Poyekhali. · View Herald TranscriptApr 14 2016, 3:31 PM
zhuyifei1999 added subtasks: T66535: Add *.unine.ch to wgCopyUploadsDomains, T105143: Add workwithsounds.eu to $wgCopyUploadsDomains, T105052: Add Soundcloud.com to $wgCopyUploadsDomains, T132748: Add domain to $wgCopyUploadsDomains, T69344: Add mochila_images.s3.amazonaws.com to the wgCopyUploadsDomains whitelist, T156855: Add images.metmuseum.org domain to $wgCopyUploadsDomains, T66053: Add an Amazon AWS domain to wgCopyUploadsDomains whitelist, T66700: please add *.peacepalacelibrary.nl to the wgCopyUploadsDomains whitelist, T155309: Please add www.leventhalmap.org to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T66536: Add *.admin.ch to $wgCopyUploadsDomains, T137687: Please add images.nypl.org to $wgCopyUploadsDomains, T95847: Add domain to $wgCopyUploadsDomains, T139095: Please add contentdm.lib.byu.edu to $wgCopyUploadsDomains, T124080: Please add archives.gov to $wgCopyUploadsDomains, T121779: Please add digital.bodleian.ox.ac.uk and iiif.bodleian.ox.ac.uk to $wgCopyUploadsDomains, T132140: Please add bio.acousti.ca to $wgCopyUploadsDomains, T72771: Please add the domain *.scienceimage.csiro.au to the wgCopyUploadsDomains whitelist, T113188: Please add nps.gov to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T116179: Add webarchive.org.uk domain to $wgCopyUploadsDomains, T67344: please add deriv.nls.uk to the wgCopyUploadsDomains whitelist, T155844: Please add <https://finds.org.uk> to $wgCopyUploadsDomains, T132701: Please add unsplash.com to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T91959: Please add pool.publicdomainproject.org to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T134566: Please add http://museudaimigracao.org.br/acervodigital/ to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T138383: Please add www.wpc.ncep.noaa.gov to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T137423: Please add nara.gov to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T69120: Please add the domain *.ihs.nl to the wgCopyUploadsDomains whitelist, T69355: Please add the domain *.eur.nl to the wgCopyUploadsDomains whitelist, T134472: Please add tasnimnews.com & khamenei.ir to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T123109: Allow GWT uploads from ethz.ch, T66372: Request to whitelistdomain wgCopyUploads peacepalacelibrary.nl, T153569: Please add ftpmirror.your.org/pub/wikimedia/images/ to the wgCopyUploadsDomains whitelist of Wikimedia Commons, T133286: Please put domain *.asc-test.nl on the list of whitelisted domains for upload with GWToolset, T70803: Please add the deleted domain *.eur.nl again to the wgCopyUploadsDomains whitelist, T66044: Add panoramio.com to upload from URL on Commons, T154671: Please add <digitalmedia.fws.gov> to the wgCopyUploadsDomains whitelist of Wikimedia Commons.May 9 2017, 1:25 PM
hashar added a subscriber: hashar.Jun 19 2017, 9:35 PM
hashar removed a subscriber: hashar.Nov 25 2017, 9:02 AM
McZusatz removed a subscriber: McZusatz.Jun 25 2018, 9:58 PM
TTO removed a subscriber: TTO.Aug 26 2018, 12:23 PM
Kelson removed a subscriber: Kelson.Aug 27 2018, 5:50 AM
greg removed a subscriber: greg.Jan 13 2019, 11:22 PM

Hmm, suitable for migrating to a project or not?